MessageContext (JavaMail API documentation)
Date: 2019-08-31

javax.mail

## Class MessageContext

- java.lang.Object
- - javax.mail.MessageContext

-     public class MessageContext
      extends java.lang.Object

  The context in which a piece of Message content is contained. A `MessageContext` object is returned by the `getMessageContext` method of the `MessageAware` interface. `MessageAware` is typically implemented by `DataSources` to allow a `DataContentHandler` to pass on information about the context in which a data content object is operating.
  Since:
    JavaMail 1.1
  See Also:
    `MessageAware`, `DataSource`, `DataContentHandler`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageContext(Part part)` Create a MessageContext object describing the context of the given Part.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message` | `getMessage()` Return the Message that contains the content.
    `Part` | `getPart()` Return the Part that contains the content.
    `Session` | `getSession()` Return the Session we're operating in.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageContext

          public MessageContext(Part part)

      Create a MessageContext object describing the context of the given Part.

  - ### Method Detail

    - #### getPart

          public Part getPart()

      Return the Part that contains the content.
      Returns:
        the containing Part, or null if not known

    - #### getMessage

          public Message getMessage()

      Return the Message that contains the content. Follows the parent chain up through containing Multipart objects until it comes to a Message object, or null.
      Returns:
        the containing Message, or null if not known

    - #### getSession

          public Session getSession()

      Return the Session we're operating in.
      Returns:
        the Session, or null if not known

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.